// A recursive version of Palindrome.  Takes as a command-line
// argument n - the number of levels - and prints
// - A palindrome
public class PalindromeBrute {

    // computes a palindrome recursively
    public static String palindrome(int i) {

        if (i == 0) return "S";
        if (i == 1) return "T";
        
        return palindrome(i - 2) + palindrome(i - 1) + palindrome(i - 2);
    }

    // main method takes a single command-line argument n
    // and prints the palindrome
    public static void main(String[] args) {
        int n = Integer.parseInt(args[0]);
        System.out.println(palindrome(n));
    }
}
